function set_str (str)
  if renoise.song().transport.edit_mode
  then
    local str_upper = string.upper (str)
    renoise.song().selected_note_column.panning_string = str_upper
  else
    return nil
  end
end

  
function pan_val_minus ()
  local pan_val = renoise.song().selected_note_column.panning_value
  if renoise.song().transport.edit_mode and (pan_val > 0)
  then
   renoise.song().selected_note_column.panning_value = pan_val - 1
  else
   return nil
  end
end

  
function pan_val_plus ()
  local pan_val = renoise.song().selected_note_column.panning_value
  if renoise.song().transport.edit_mode and (pan_val < 255)
  then
   renoise.song().selected_note_column.panning_value = pan_val + 1
  else
   return nil
  end
end



--[[
--GUI ܂


function test_main ()
local vb = renoise.ViewBuilder()

local dialog_content = 
    vb:column {
  vb:button {
        width = 180,
      
        text = "notecut F5",
        notifier =
          function()
                set_str ("f5")
          end
  },
      
  vb:button {
        width = 180,
        
        text = "clear panning",
        notifier =
          function()
                set_str ("..")
          end
  }
      
    }
 renoise.app():show_custom_dialog("set commands to panning" , dialog_content)
end

renoise.tool():add_menu_entry {
  name = "Pattern Editor:set_commands_to_panning...",
  invoke = function()
   test_main()
  end
}

--]]


--[[
--Keybindigs
--]]

 renoise.tool():add_keybinding {
   name = "Pattern Editor:custom_shortcuts:notecut_F5_in_panning",
   invoke = function() 
    set_str('f5')
   end
 }
 
 renoise.tool():add_keybinding {
   name = "Pattern Editor:custom_shortcuts:clear_panning",
   invoke = function() 
    set_str('..')
   end
 }


  renoise.tool():add_keybinding {
   name = "Pattern Editor:custom_shortcuts:plus_panning_value",
   invoke = function() 
    pan_val_plus()
   end
 }

  renoise.tool():add_keybinding {
   name = "Pattern Editor:custom_shortcuts:minus_panning_value",
   invoke = function() 
    pan_val_minus()
   end
 }
